import { BaseCommand, REQUEST_PARTIAL_ID } from '../../base.js';
export default class RequestGet extends BaseCommand {
    static args = {
        id: REQUEST_PARTIAL_ID,
    };
    static description = 'Show details of an existing sharing request.';
    static enableJsonFlag = true;
    async run() {
        const res = await this.matchInvite(this.args.id);
        return this.logInvite(res);
    }
}
